Package org.jboss.classfilewriter.attributes

# Class Attribute

java.lang.Object
org.jboss.classfilewriter.attributes.Attribute

All Implemented Interfaces:
  `WritableEntry`

Direct Known Subclasses:
  `AnnotationsAttribute`, `CodeAttribute`, `ExceptionsAttribute`, `ParameterAnnotationsAttribute`, `SignatureAttribute`, `StackMapTableAttribute`

public abstract class Attribute extends Object implements WritableEntry
Represents an attribute in a class file

Author:
  Stuart Douglas

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final ConstPool`
`constPool`

## Constructor Summary

Constructors
Constructor
Description
`Attribute(String name, ConstPool constPool)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`void`
`write(ByteArrayDataOutputStream stream)`
`abstract void`
`writeData(ByteArrayDataOutputStream stream)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### constPool

protected final ConstPool constPool

## Constructor Details

### Attribute

public Attribute(String name, ConstPool constPool)

## Method Details

### write

public void write(ByteArrayDataOutputStream stream) throws IOException

Specified by:
  `write` in interface `WritableEntry`
Throws:
  `IOException`

### writeData

public abstract void writeData(ByteArrayDataOutputStream stream) throws IOException

Throws:
  `IOException`

### getName

public String getName()